Package org.apache.tools.ant.types.selectors

# Class PresentSelector.FilePresence

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.selectors.PresentSelector.FilePresence

Enclosing class:
  `PresentSelector`

public static class PresentSelector.FilePresence extends EnumeratedAttribute
Enumerated attribute with the values for indicating where a file's presence is allowed and required.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilePresence()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FilePresence

    public FilePresence()

- ## Method Details

  - ### getValues

    public String[] getValues()
    Description copied from class: `EnumeratedAttribute`
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      the values as an array of strings